Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 21:09
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
wxLua 2.8.7.0
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
wegstar

Joined: 01 Jun 2007
Posts: 11

PostPosted: Sat 28 Jun 2008, 19:49    Post_subject:  wxLua 2.8.7.0  

From the website: http://wxlua.sourceforge.net/

Quote:
wxLua is a set of bindings to the wxWidgets library for the Lua programming language. With wxLua you can write programs in Lua that use the wxWidgets cross-platform GUI library to develop and deliver your software with the programming ease of an interpreted language like Lua. Nearly all of the functionality of wxWidgets is exposed to Lua, meaning that your programs can have windows, dialogs, menus, toolbars, controls, image loading and saving, drawing, sockets, streams, printing, clipboard access... and much more.



Now, the wxLua binary is released to Linux systems as an autopackage. However, this is unusable with Puppy Linux's busybox system, so I've built wxLua manually, packaged it into a convenient dotpet... and here it is (6.6 MB, 16 MB installed): Enjoy! Smile

http://wegstar.sansuei.com/wxLua-2.8.7.pet

wxLua documentation and example scripts are included. Supports Unicode Very Happy

I used the latest wxWidgets (wxGTK port version 2.8.Cool as well as version 2.8.7.0 of wxLua. I stripped and UPX'd the executables to reduce their size, and tried to minimize the number of shared libraries that would be installed (3 versus 12+).

wxGTK was configured with the following options:
--enable-monolithic --enable-unicode

wxLua was configured with the following options:
--enable-unicode --disable-debug --disable-shared --with-wxshared
Back to top
View user's profile Send_private_message 
mahadi

Joined: 15 Feb 2011
Posts: 34

PostPosted: Wed 23 Feb 2011, 06:50    Post_subject:  

Having failed to install wxLua from source and searched for a while I've come across this post.
Bad luck for me, the .pet file is not on the link.
Where can I get it from?

Thank you.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0416s ][ Queries: 12 (0.0041s) ][ GZIP on ]